# $Revision: 1.6 $, $Date: 2010/11/13 12:09:40 $
Summary:	Easily extensible archive format
Summary(pl.UTF-8):	Łatwo rozszerzalny format archiwów
Name:		xar
Version:	1.5.2
Release:	3
License:	BSD
Group:		Applications/Archiving
Source0:	http://xar.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	8eabb055d3387b8edc30ecfb08d2e80d
URL:		http://code.google.com/p/xar/
BuildRequires:	acl-devel
BuildRequires:	attr-devel
BuildRequires:	bzip2-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The XAR project aims to provide an easily extensible archive format.
Important design decisions include an easily extensible XML table of
contents for random access to archived files, storing the toc at the
beginning of the archive to allow for efficient handling of streamed
archives, the ability to handle files of arbitrarily large sizes, the
ability to choose independent encodings for individual files in the
archive, the ability to store checksums for individual files in both
compressed and uncompressed form, and the ability to query the table
of content's rich meta-data.

%description -l pl.UTF-8
Celem projektu XAR jest zapewnienie łatwo rozszerzalnego formatu
archiwów. Główne decyzje projektowe obejmują: łatwo rozszerzalną
tabelę zawartości w formacie XML do swobodnego dostępu do
zarchiwizowanych plików, zapisywanie informacji o zawartości archiwum
na początku archiwum w celu umożliwienia wydajnej obsługi archiwów
strumieniowych, możliwość obsługi plików o dowolnie dużych rozmiarach,
możliwość wyboru niezależnych kodowań dla poszczególnych plików w
archiwum, możliwość zapisywania sum kontrolnych dla poszczególnych
plików w zarówno skompresowanej jak i nieskompresowanej postaci,
możliwość odpytywania metadanych tabeli zawartości.

%package devel
Summary:	Header files for xar library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki xara
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	acl-devel
Requires:	bzip2-devel
Requires:	libxml2-devel
Requires:	openssl-devel
Requires:	zlib-devel

%description devel
Header files for xar library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki xara.

%package static
Summary:	Static xar library
Summary(pl.UTF-8):	Statyczna biblioteka xara
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static xar library.

%description static -l pl.UTF-8
Statyczna biblioteka xara.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE TODO
%attr(755,root,root) %{_bindir}/xar
%attr(755,root,root) %{_libdir}/libxar.so.1
%{_mandir}/man1/xar.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxar.so
%{_libdir}/libxar.la
%dir %{_includedir}/xar
%{_includedir}/xar/xar.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libxar.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xar.spec,v $
Revision 1.6  2010/11/13 12:09:40  pawelz
- release 3

Revision 1.5  2010/04/12 19:31:37  arekm
- release 2

Revision 1.4  2009/02/19 06:45:57  qboosh
- package -static
- added devel deps
- added LICENSE to doc

Revision 1.3  2009/02/10 15:47:48  duddits
- up to 1.5.2
- some cleaning
- %files more verbose

Revision 1.2  2007/05/27 22:20:18  qboosh
- pl

Revision 1.1  2007/05/26 21:51:53  arekm
- initial
